%define kdeprefix /usr/lib/kde2
%define qtdir /usr/lib/qt-2.1.0
%define KDEDATE 20000201
%define version 2.0
%define kderelease 0.%{KDEDATE}
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdoc
Name: %{kdename}
Icon: kde-icon.xpm
Summary: Documentation for the K Desktop Environment (KDE) 2.0.
Version: %{version}
Release: %{kderelease}
Serial: %{KDEDATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{KDEDATE}.tar.bz2
Group: Documentation
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Prefix: /usr
BuildArch: noarch

%description
Documentation tools for the K Desktop Environment 2.0.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdoc
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS -I%{kdeprefix}/include" ./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
(
  cd $RPM_BUILD_ROOT/%{kdeprefix}/bin
  for i in *; do
  	mv -f $i $RPM_BUILD_ROOT/usr/bin/`echo $i |sed -e "s/$/2/"`
  done
  cd ../man/man1
  for i in *; do
  	mv -f $i $RPM_BUILD_ROOT/usr/man/man1/`echo $i |sed -e "s/\.1/2.1/"`
  done
)
rm -rf $RPM_BUILD_ROOT/%{kdeprefix}/bin $RPM_BUILD_ROOT/%{kdeprefix}/man/man1

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/man/man1||" $RPM_BUILD_DIR/file.list.%{kdename}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/man||" $RPM_BUILD_DIR/file.list.%{kdename}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/bin||" $RPM_BUILD_DIR/file.list.%{kdename}
perl -pi -e "s|\%attr\(-,root,root\) \%dir /usr/lib$||" $RPM_BUILD_DIR/file.list.%{kdename}

perl -pi -e "s|\$kdoc= \"kdoc\";|$kdoc= \"kdoc2\";|" $RPM_BUILD_ROOT/usr/bin/makekdedoc2

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

sed -e "s,/usr/man/.*,&.gz,g" $RPM_BUILD_DIR/file.list.%{kdename} >$RPM_BUILD_DIR/file.list.%{kdename}.new
mv -f $RPM_BUILD_DIR/file.list.%{kdename}.new $RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
